`POST /v1/org/oidc/domains` — register a pending domain, returning the DNS TXT record the organization must publish.
POST
/api/v1/org/oidc/domains
const url = 'https://example.com/api/v1/org/oidc/domains';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"domain":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/org/oidc/domains \ --header 'Content-Type: application/json' \ --data '{ "domain": "example" }'Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
domain
required
string
Examplegenerated
{ "domain": "example"}Responses
Section titled “Responses”Media typeapplication/json
object
dns_record
required
The DNS TXT record the organization must publish, surfaced for copy-paste.
string
domain
required
object
dns_record
required
string
domain
required
string
id
required
string format: uuid
verified
required
boolean
Examplegenerated
{ "dns_record": "example", "domain": { "dns_record": "example", "domain": "example", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "verified": true }}